Bug 824536 - Review Request: portals-pom - Apache Portals parent pom
Review Request: portals-pom - Apache Portals parent pom
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 824539
  Show dependency treegraph
 
Reported: 2012-05-23 13:24 EDT by gil cattaneo
Modified: 2014-07-03 12:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-09 21:31:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-23 13:24:13 EDT
Spec URL: http://gil.fedorapeople.org/portals-pom.spec
SRPM URL: http://gil.fedorapeople.org/portals-pom-1.3-1.fc16.src.rpm
Description: Apache Portals is a collaborative software development project
dedicated to providing robust, full-featured, commercial-quality,
and freely available Portal related software on a wide variety of
platforms and programming languages. This project is managed in
cooperation with various individuals worldwide (both independent and
company-affiliated experts), who use the Internet to communicate, plan,
and develop Portal software and related documentation.
Fedora Account System Username: gil
Comment 1 Mikolaj Izdebski 2012-05-31 05:50:25 EDT
I'm taking this review.
Comment 2 Mikolaj Izdebski 2012-05-31 06:24:19 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint portals-pom-1.3-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint portals-pom-1.3-1.fc18.src.rpm

portals-pom.src: W: invalid-url Source0: portals-pom-1.3-src-svn.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

This warning can be ignored.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[!]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage

Javadoc package is empty. Remove javadoc subpackage.

[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[!]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)

Javadoc package is empty. Remove javadoc subpackage.

[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms



Issues:
Remove empty javadoc package.
Comment 3 gil cattaneo 2012-05-31 06:50:29 EDT
Spec URL: http://gil.fedorapeople.org/portals-pom/portals-pom.spec
SRPM URL: http://gil.fedorapeople.org/portals-pom/portals-pom-1.3-2.fc16.src.rpm
- Remove empty javadoc package
Comment 4 Mikolaj Izdebski 2012-05-31 07:32:28 EDT
Looks fine now, thanks.

**************
** APPROVED **
**************
Comment 5 gil cattaneo 2012-05-31 07:39:08 EDT
New Package SCM Request
=======================
Package Name: portals-pom
Short Description: Apache Portals parent pom
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2012-05-31 09:15:18 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-05-31 09:59:22 EDT
portals-pom-1.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/portals-pom-1.3-2.fc17
Comment 8 Fedora Update System 2012-06-01 13:11:15 EDT
portals-pom-1.3-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-06-09 21:31:52 EDT
portals-pom-1.3-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Michael Mráka 2014-07-03 10:42:02 EDT
Package Change Request
======================
Package Name: portals-pom
New Branches: epel7
Owners: mmraka

I'll be new EPEL co-maintainer for this package. I'm already the Fedora maintainer.
Comment 11 Gwyn Ciesla 2014-07-03 12:58:39 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.